package com.tarena.oss.rights.service;

import java.util.Collection;

import com.tarena.oss.rights.pojo.Role;
import com.tarena.oss.rights.pojo.RoleCondDTO;

public interface RoleMgmtService {
	public void addRolet(Role r);
	public void modifyRole(Role r);
	public void removeRole(Integer id);
	public Collection<Role> findRoles(int currentPage);
	public Collection<Role> findRoles(RoleCondDTO dto,int currentPage);	
	public Role findRole(Integer id);
	public int findRoleCnts();
	public int findRoleCntsByCond(RoleCondDTO dto);
}
